Name: bigloo
Version: 2.6f
Release: alt2
License: GPL
Group: Development/Other
Summary: Bigloo is compiler for the Scheme programming language
Summary(ru_RU.KOI8-R): Bigloo --     Scheme
URL: http://www-sop.inria.fr/mimosa/fp/Bigloo/

Requires: libbigloo = %version-%release

Source: ftp:/kaolin.unice.fr/pub/Bigloo/bigloo%version.tar.bz2
Source1: bigloo-emacs.el
Patch0: bigloo2.6d-alt-textrel.patch

#BuildRequires: textutils bash texinfo emacs-common gcc
BuildRequires: coreutils bash texinfo emacs-common j2se1.4-blackdown-devel java-common update-alternatives zip unzip

%description
Bigloo is a compiler and interpreter for an extended version of the
Scheme programming language. Bigloo allows a full connection between
Scheme and C programs. It delivers fast and small executables.

%description -l ru_RU.KOI8-R
Bigloo       
  Scheme. Bigloo    
 C  Scheme.        .

%package -n emacs-bigloo
Summary: Emacs mode for Bigloo Scheme
Summary(ru_RU.KOI8-R):  Emacs  Bigloo Scheme
Group: Editors
Provides: emacs-bigloo

Requires: bigloo emacs-apel emacs-common

%description -n emacs-bigloo
Emacs mode for Bigloo Scheme. It also can be used for programming in C and Lisp.

%description -l ru_RU.KOI8-R -n emacs-bigloo
 Emacs    Bigloo Scheme,     
     Lisp

%package -n libbigloo
Summary: Run-time libraries for Bigloo-generated programs
Group: System/Libraries
License: LGPL

%description -n libbigloo
Provides the shared run-time libraries that enable programs
compiled with this version of Bigloo to be run, without needing
to have the full compiler installed.

%package -n libbigloo-java
Summary: Run-time Java libraries for Bigloo-generated programs
Group: System/Libraries
Requires: java2
License: LGPL

%description -n libbigloo-java
Provides the shared run-time libraries that enable Java programs
compiled with this version of Bigloo to be run, without needing
to have the full compiler installed.

%package doc
Summary: Documentation for the Bigloo scheme compiler
Group: Development/Other

%description doc
This is the documentation for Bigloo and its development environment,
in HTML and info formats.

%prep
%setup -q -n bigloo%version
%patch -p1 -b .vns

%build
./configure --prefix=%prefix --bindir=%_bindir --libdir=%_libdir \
    --mandir=%_mandir/man1 --docdir=%_docdir/%name-%version \
    --infodir=%_infodir --lispdir=%_emacslispdir/bigloo \
    --coflags="%optflags" --javaprefix=%_bindir --bee=full --mono
#--jvm=force --javaprefix=%_libdir/j2se/bin
export LD_LIBRARY_PATH=`pwd`/lib/%version
make boot
cd bmacs
make all
cd ..
export BIGLOOLIB=`pwd`/lib/%version
cd cigloo
make
cd ..
cd jigloo
make
cd ..

%install
make install DESTDIR=%buildroot
rm -f %buildroot%_infodir/dir
OLDWD=`pwd`

cd %buildroot%_bindir
rm bigloo
ln -sf bigloo%version bigloo
cd %buildroot%_libdir
for i in *.so ; do
  rm -f $i
  ln -s %name/%version/$i $i
done
cd $OLDWD

install -m 644 README* LICENSE ChangeLog %buildroot%_docdir/%name-%version
mkdir -p %buildroot%_docdir/%name-%version/tutorial/
install -pD -m 644 tutorial/*  %buildroot%_docdir/%name-%version/tutorial/

cd bmacs
make all EMACSDIR=%buildroot%_emacslispdir/bmacs
make install EMACSDIR=%buildroot%_emacslispdir/bmacs
cd ..

cd cigloo
make install DESTDIR=%buildroot
cd ..

install -pD -m 644 %SOURCE1 %buildroot%_sysconfdir/emacs/site-start.d/bmacs.el

cd manuals
for i in *.man; do
	cp $i $RPM_BUILD_ROOT%_man1dir/${i%man}1
done
cd ..

%post doc
%install_info bigloo.info
# install_info bdb.info.bz2

%preun doc
%uninstall_info bigloo.info
# uninstall_info bdb.info.bz2

%files
%_bindir/*
%dir %_libdir/bigloo/
%dir %_libdir/bigloo/%version
%_libdir/bigloo/%version/*.a
%_libdir/bigloo/%version/*.heap
%_libdir/bigloo/%version/*.jheap
%_libdir/bigloo/%version/*.init
%_libdir/bigloo/%version/*.h
%_libdir/bigloo/%version/Makefile.*
%_libdir/bigloo/%version/bmem
%_man1dir/*

%files -n emacs-bigloo
%doc bmacs/README
%dir %_emacslispdir/bmacs/
%_emacslispdir/bmacs/*
%config(noreplace) /etc/emacs/site-start.d/*

%files -n libbigloo
%dir %_libdir/bigloo/
%dir %_libdir/bigloo/%version
%_libdir/*.so
%_libdir/bigloo/%version/*.so

%files -n libbigloo-java
%dir %_libdir/bigloo/
%dir %_libdir/bigloo/%version
%_libdir/bigloo/%version/*.zip

%files doc
%doc %_docdir/%name-%version
%_infodir/*.info*


%changelog
* Thu Jun 02 2005 Alexey Voinov <voins@altlinux.ru> 2.6f-alt2
- license info fixed [#6708]

* Mon Mar 14 2005 Alexey Voinov <voins@altlinux.ru> 2.6f-alt1
- new version (2.6f)
- mono support disabled

* Thu Oct 21 2004 Alexey Voinov <voins@altlinux.ru> 2.6e-alt1
- new version (2.6e)

* Tue Oct 12 2004 Alexey Voinov <voins@altlinux.ru> 2.6d-alt2
- text relocation fixed
- use default gcc (instead of gcc2.95)
- more man pages added
- new subpackages: libbigloo, libbigloo-java, bigloo-doc
  [some descriptions are borrowed from debian :) ]
- url updated
- requires on java relaxed a bit
- cigloo packaged

* Tue Apr 13 2004 Ott Alex <ott@altlinux.ru> 2.6d-alt1
- New version, some bugfixes

* Tue Mar 30 2004 Ott Alex <ott@altlinux.ru> 2.6c-alt1
- New version

* Wed Dec 17 2003 Ott Alex <ott@altlinux.ru> 2.6b-alt1
- New version 

* Sun Oct 05 2003 Ott Alex <ott@altlinux.ru> 2.6a-alt1
- New version 
- cleanup spec and fixing build in hasher 

* Sat Mar 22 2003 Ott Alex <ott@altlinux.ru> 2.5c-alt4
- fixing java requires

* Sat Feb 22 2003 Ott Alex <ott@altlinux.ru> 2.5c-alt3
- fixing spec

* Sat Jan 11 2003 Ott Alex <ott@altlinux.ru> 2.5c-alt2
- New version

* Sun Sep 01 2002 Ott Alex <ott@altlinux.ru> 2.5a-alt1
- Initial build

